<?php
/*
 * Plugin ViaSPIP 3 pour SPIP 3
 * (c) 2008-2013 Jean-Yves Giraud
 */

// Balise pour afficher la version de SPIP en cours sur votre site
// Contrib de Scoty : http://www.koakidi.com/
// voir : http://www.spip-contrib.net/Collection-de-Balises
function balise_VERSION_SPIP_AFFICHEE($p) {
	$p->code = "'".$GLOBALS['spip_version_affichee']."'";
	$p->statut = 'php';
	return $p;
}

/* =============================================================================
 * Nom du Filtre : Sommaire d'un article
 * =============================================================================
 * Date : 20/07/2009
 * Auteur : Jean-Yves Giraud
 * Site : http://jygiraud.free.fr/
 * -----------------------------------------------------------------------------
 * Description :
 * Ce filtre permet d'afficher le sommaire d'un article gnr dynamiquement  
 * partir des intertitres placs dans le texte de celui-ci.
 *
 * Tout ce qui se trouve dans le texte de l'article entre {{{ et }}} est 
 * considr comme un intertitre et sera ajout au sommaire.
 *
 * Couple avec des ancres sur les intertitres, cette fonctionnalit permet une
 * navigation rapide dans un article en comportant.
 * ============================================================================= */
function sommaire_article($texte,$id_article)
{
	$artsuite = 0;
	$page = $texte;
	$uri_art = generer_url_entite($id_article, 'article');
	$uri_art .= strpos($uri_art, '?') ? '&' : '?';
	$i=0;
	$texte="";
	preg_match_all("|\{\{\{(.*)\}\}\}|U",$page, $regs);
	$nb=1;
	for($j=0;$j<count($regs[1]);$j++)
	{
		$p=$i+1;
		$texte=$texte."<li><a href=\"". $uri_art . "artsuite=#paragraphe_article_".$nb."\" title=\"".$regs[1][$j]."\">".$regs[1][$j]."</a></li>\n";
		$nb++;
	}

	if (empty($texte))
		$texte="";
	else
		$texte="<ul>\n".$texte."</ul>\n";
		
	return $texte;
}

/* =============================================================================
 * Nom du Filtre : Ancres pour intertitres
 * =============================================================================
 * Date : 20/07/2009
 * Auteur : Jean-Yves Giraud
 * Site : http://jygiraud.free.fr/
 * -----------------------------------------------------------------------------
 * Description :
 * Ce filtre sert  placer des ancres sur les intertitres d'un article. Couple
 * avec un sommaire, cette fonctionnalit permet une navigation rapide dans un 
 * article en comportant.
 *
 * ============================================================================= */
function ancres_intertitres($texte,$id_article) {
	$texte = preg_replace("|\{\{\{(.*)\}\}\}|U","<a id=\"paragraphe_article_#NB_TITRE_DE_MON_ARTICLE#\" class=\"paragraphe_article\"></a>$0", $texte);
	$array = explode("#NB_TITRE_DE_MON_ARTICLE#" , $texte);
	$res =count($array);
	$i =1;
	$texte=$array[0];
	while($i<$res){
		$texte=$texte.$i.$array[$i];
		$i++;
	}
	return $texte;
}

?>